#version 130

in vec3 vPosition2;
in vec2 vTexCoords2;
in vec3 vNormal2;

out vec4 outColor;

uniform vec3 diffuseColor;
uniform sampler2D diffuseTextureID;

void main() {
	// Texturing
	vec4 pixelColor = texture2D(diffuseTextureID, vTexCoords2);
	
	// Final color
	outColor = vec4(diffuseColor.rgb, pixelColor.r);
	outColor = vec4(1);
}
